<!--
  Generated template for the FindfriendsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">

  <ion-navbar color="headerColor" class="header-inner">
  	<button ion-button menuToggle class="menu-icon-button">
      <div class="menu-icon-toggle"></div>
    </button>
    <ion-title class="header-title"><span class="title">{{ title }}</span></ion-title>
  </ion-navbar>
  <ion-toolbar class="ion-tool-bar-for-segment">
  	<ion-segment class="SwipedTabs-tabs">
		<ion-segment-button *ngFor='let tab of tabs ; let i = index ' value="IngoreMe" (click)="selectTab(i)"
		[ngClass]='{ "SwipedTabs-activeTab" : ( this.SwipedTabsSlider  && ( this.SwipedTabsSlider.getActiveIndex() === i || (  tabs.length -1 === i&& this.SwipedTabsSlider.isEnd()))) }' >
			<span class="tab-title">{{tab}}</span>
		</ion-segment-button>
	</ion-segment>

	<div id='indicator' class="SwipedTabs-indicatorSegment" [ngStyle]="{'width.%': (100/this.tabs.length)}"></div>
  </ion-toolbar>
  <ion-searchbar class="all-joined-group-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search" (ionClear)="onClearSearchBar($event)"></ion-searchbar>
  <div class="border-for-no-search-bar" *ngIf="hideSearch"></div>

</ion-header>


<ion-content [class]="hideSearch ? 'wrap-all with-hide-search' : 'wrap-all'">

	<ion-slides class="page-sliding-container" #SwipedTabsSlider (ionSlideDrag)="animateIndicator($event)" (ionSlideWillChange)="updateIndicatorPosition(0)" (ionSlideDidChange)="updateIndicatorPosition(1)" (pan)="updateIndicatorPosition()" [pager]="false">
		<ion-slide>
			<ion-list no-lines class="friends-list" *ngIf="!hideList">
				<div *ngFor="let allUser of userList$ | filterexistinguser: sentreqList: receivereqList: friendList">
					<ion-item class="friend-list-item" [hidden]="currentUserId == allUser.key">
						<ion-thumbnail item-left class="friends-photo-thumbnail-container" (click)="viewProfile(allUser.key)">
								<img-loader src="{{ allUser.photoURL }}" useImg class="friends-photo-thumbnail"></img-loader>
						</ion-thumbnail>
						<h2 class="friends-name" (click)="viewProfile(allUser.key)">{{ allUser.displayName }}</h2>
						<div class="friends-status-container" (click)="viewProfile(allUser.key)">
							<p class="friends-status">{{ allUser.status }}</p>
						</div>
						<div class="add-button-container">
							<button class="add-button" (click)="sendReq(allUser)"></button>
						</div>
					</ion-item>
				</div>
			</ion-list>
			<div class="list-on-hide-container" *ngIf="hideList">
				<div class="search-icon"></div><span class="ffriends">Find Friends</span>
			</div>
		</ion-slide>
		<ion-slide>
    		<ion-list no-lines class="rec-request-list" *ngIf="receiveReqListNum > 0">
    			<ion-list-header class="ion-list-header-title">
			      <h2>Receive Request ({{ receiveReqListNum }})</h2>
			    </ion-list-header>
    			<div class="request-receive-item" *ngFor="let allFriendReq of receivereqList$ | async">
    				<div class="request-receive-item-inner-container" *ngIf="allFriendReq.friendReqList | async; let friendReqList;">
	    				<div class="user-profile-info-container">
		    				<div class="user-profile-picture-container">
		    					<img-loader src="{{ friendReqList.photoURL }}" class="user-profile-picture" useImg></img-loader>
		    				</div>
		    				<div class="user-name-n-title-container">
		    					<p class="user-name">{{ friendReqList.displayName }}</p>
		    					<p class="friend-req-title">has sent you a friend request.</p>
		    				</div>
		    			</div>
		    			<div class="request-receive-button-container">
		    				<button class="accept-req-btn" (click)="acceptFriendReq(allFriendReq.key, friendReqList.displayName)"></button>
		    				<button class="decline-req-btn" (click)="denyFriendReq(allFriendReq.key, friendReqList.displayName)"></button>
		    			</div>
		    		</div>
    			</div>
    		</ion-list>
    		<ion-list no-lines class="sent-request-list" *ngIf="sentReqListNum > 0">
    			<ion-list-header class="ion-list-header-title">
			      <h2>Sent Request ({{ sentReqListNum }})</h2>
			    </ion-list-header>
			    <div class="sent-request-item" *ngFor="let allUser of sentreqList$ | async">
			    	<div class="sent-request-item-inner-container" *ngIf="allUser.sentRequestList | async; let sentRequestList;">
				    	<div class="user-profile-info-container" (click)="viewProfile(allUser.key)">
					    	<div class="user-profile-picture-container">
		    					<img-loader src="{{ sentRequestList.photoURL }}" class="user-profile-picture" useImg></img-loader>
		    				</div>
		    				<div class="user-name-n-title-container">
		    					<p class="user-name">{{ sentRequestList.displayName }}</p>
		    					<p class="friend-req-title">your request is still pending.</p>
		    				</div>
		    			</div>
		    			<div class="request-sent-button-container">
		    				<button class="cancel-sent-req-btn" (click)="cancelSentFRequest(allUser.key)"></button>
		    			</div>
		    		</div>
			    </div>
    		</ion-list>
    		<div class="list-on-hide-container" *ngIf="sentReqListNum == 0 && receiveReqListNum == 0">
    			<div class="request-icon"></div><span class="ffriends">No Request Found</span>
    		</div>
		</ion-slide>
	</ion-slides>

</ion-content>
